Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225756 - Merge Review: firstboot
Summary: Merge Review: firstboot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:37 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-11 21:32:19 UTC
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:37:47 UTC
Fedora Merge Review: firstboot

http://cvs.fedora.redhat.com/viewcvs/devel/firstboot/
Initial Owner: clumens@redhat.com

Comment 1 David Cantrell 2007-06-11 18:16:50 UTC
W: firstboot unversioned-explicit-obsoletes anaconda-reconfig
E: firstboot no-cleaning-of-buildroot %install

The Source field should contain the URL to the downloadable source or a comment
like this above it:

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

Should pass %{?_smp_mflags} to make in the %build target if that works.  Package
guidelines stuff.

Personal opinion: in the %post scriptlet, put then on the same line as if with a
semi separating it...like the other scriptlets.

Comment 2 Chris Lumens 2007-06-11 19:13:12 UTC
Fixed everything except the unversioned obsoletes warning.

Comment 3 David Cantrell 2007-06-11 19:20:41 UTC
Looks good.  I forgot the following.  Need:

Requires(post): chkconfig
Requires(preun): chkconfig

Comment 4 Chris Lumens 2007-06-11 19:27:01 UTC
Fixed.

Comment 5 Jason Tibbitts 2007-06-12 03:30:04 UTC
Please don't forget to set fedora-review to '+' if this was approved.


Note You need to log in before you can comment on or make changes to this bug.